---
include:
  - snippets/common.yml

variables:
  NFPM_ROOT: "."
  NFPM_CONFIG: ${NFPM_ROOT}/nfpm.yaml
  NFPM_PACKAGER: deb

.nfpm:build:
  stage: build
  image:
    name: registry.gitlab.com/hyperbadger/ci/library/nfpm:1.0.0
    entrypoint: [""]
  variables:
    GENERIC_PACKAGE_FILE_NAME: ${CI_PROJECT_NAME}.${NFPM_PACKAGER}
    GENERIC_PACKAGE_FILE_PATH: ${NFPM_ROOT}/${GENERIC_PACKAGE_FILE_NAME}
  script:
    - export SEMVER=$(cat ${VERSION_FILE})
    - nfpm package --config ${NFPM_CONFIG} --target ${GENERIC_PACKAGE_FILE_PATH} --packager ${NFPM_PACKAGER}
    - !reference [.common:generic-package-upload, script]
